VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch > Class Template Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >:
[legend]

## Public Member Functions

| ObjectDestroy (OwnerType owner=OwnerType(), Optional< const AllocationCallbacks > allocationCallbacks=nullptr, Dispatch const &dispatch=Dispatch())
OwnerType | getOwner () const
Optional< const AllocationCallbacks > | getAllocator () const

## Protected Member Functions

template<typename T >
void | destroy (T t)

## Private Attributes

OwnerType | m_owner
Optional< const AllocationCallbacks > | m_allocationCallbacks
Dispatch const * | m_dispatch

## Detailed Description

### template<typename OwnerType, typename Dispatch>
class VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >

Definition at line 2514 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ObjectDestroy()

template<typename OwnerType , typename Dispatch >

VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::ObjectDestroy | ( | OwnerType | owner = `OwnerType()`,
|  | Optional< const AllocationCallbacks > | allocationCallbacks = `nullptr`,
|  | Dispatch const & | dispatch = `Dispatch()`
| ) |  |

inline

Definition at line 2517 of file vulkan.hpp.

: m_owner( owner )
, m_allocationCallbacks( allocationCallbacks )
, m_dispatch( &dispatch )
{}

## Member Function Documentation

## destroy()

template<typename OwnerType , typename Dispatch >
template<typename T >

void VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::destroy | ( | T | t | ) |

inline protected

Definition at line 2528 of file vulkan.hpp.

{
m_owner.destroy( t, m_allocationCallbacks, *m_dispatch );
}

References VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_allocationCallbacks, VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_dispatch, and VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_owner.

## getAllocator()

template<typename OwnerType , typename Dispatch >

Optional<const AllocationCallbacks> VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::getAllocator | ( |  | ) | const

inline

Definition at line 2524 of file vulkan.hpp.

{ return m_allocationCallbacks; }

References VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_allocationCallbacks.

## getOwner()

template<typename OwnerType , typename Dispatch >

OwnerType VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::getOwner | ( |  | ) | const

inline

Definition at line 2523 of file vulkan.hpp.

{ return m_owner; }

References VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_owner.

## Field Documentation

## m_allocationCallbacks

template<typename OwnerType , typename Dispatch >

Optional<const AllocationCallbacks> VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_allocationCallbacks

private

Definition at line 2535 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::destroy(), VULKAN_HPP_NAMESPACE::ObjectDestroy< NoParent, Dispatch >::destroy(), VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::getAllocator(), and VULKAN_HPP_NAMESPACE::ObjectDestroy< NoParent, Dispatch >::getAllocator().

## m_dispatch

template<typename OwnerType , typename Dispatch >

Dispatch const* VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_dispatch

private

Definition at line 2536 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::destroy(), and VULKAN_HPP_NAMESPACE::ObjectDestroy< NoParent, Dispatch >::destroy().

## m_owner

template<typename OwnerType , typename Dispatch >

OwnerType VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::m_owner

private

Definition at line 2534 of file vulkan.hpp.

Referenced by VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::destroy(), and VULKAN_HPP_NAMESPACE::ObjectDestroy< OwnerType, Dispatch >::getOwner().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ObjectDestroy::m_dispatch
Dispatch const * m_dispatch
Definition: vulkan.hpp:2536
t
GLdouble GLdouble t
Definition: SDL_opengl.h:2071
VULKAN_HPP_NAMESPACE::ObjectDestroy::m_allocationCallbacks
Optional< const AllocationCallbacks > m_allocationCallbacks
Definition: vulkan.hpp:2535
VULKAN_HPP_NAMESPACE::ObjectDestroy::m_owner
OwnerType m_owner
Definition: vulkan.hpp:2534